@if (uiManager.navBarState$ | async; as navBarState) {
  @if (currentUser$ | async; as currentUser) {
    <div class="full-height nav-bar-width overflow-hidden">
      <ul
        nz-menu
        [nzMode]="'vertical'"
        nzTheme="dark"
        [nzInlineCollapsed]="navBarState.collapsed"
        class="full-height flex-column vertical-scroll"
      >
        <li class="home-workspace-link">
          <div class="full-height full-width flex">
            <div class="__hover_pointer m-10">
              @if (!navBarState.collapsed) {
                <a [sqtmCorePlatformLink]="['/home-workspace']">
                  <img
                    alt="Squash standard logo"
                    height="40px"
                    width="150px"
                    [src]="
                      './assets/sqtm-core/icons/assets/sqtm-core-nav/logo-squash-standard-white.svg'
                    "
                  />
                </a>
              }
              @if (navBarState.collapsed) {
                <a [sqtmCorePlatformLink]="['/home-workspace']">
                  <img
                    alt="Squash small logo"
                    height="40px"
                    width="40px"
                    [src]="
                      './assets/sqtm-core/icons/assets/sqtm-core-nav/logo_squash_icon_white.svg'
                    "
                  />
                </a>
              }
            </div>
          </div>
        </li>
        <li>
          <div nz-menu-divider class="sqtm-nav-bar-divider"></div>
        </li>
        @if (canNavigate(currentUser)) {
          <ng-container
            *ngTemplateOutlet="
              workspaceLink;
              context: {
                workspace: 'requirement',
                workspacePath: '/requirement-workspace'
              }
            "
          >
          </ng-container>
          <ng-container
            *ngTemplateOutlet="
              workspaceLink;
              context: {
                workspace: 'test-case',
                workspacePath: '/test-case-workspace'
              }
            "
          >
          </ng-container>
          <ng-container
            *ngTemplateOutlet="
              workspaceLink;
              context: {
                workspace: 'campaign',
                workspacePath: '/campaign-workspace'
              }
            "
          >
          </ng-container>
          <li class="p-l-20 p-r-20">
            <div nz-menu-divider class="sqtm-nav-bar-divider"></div>
          </li>
          <ng-container
            *ngTemplateOutlet="
              workspaceLink;
              context: {
                workspace: 'custom-report',
                workspacePath: '/custom-report-workspace'
              }
            "
          >
          </ng-container>
        }
        @if (
          !currentUser.admin &&
          !currentUser.functionalTester &&
          currentUser.automationProgrammer
        ) {
          <ng-container
            *ngTemplateOutlet="
              workspaceLink;
              context: {
                workspace: 'automation',
                workspacePath:
                  '/automation-workspace/automation-programmer-workspace'
              }
            "
          >
          </ng-container>
        }
        @if (
          !currentUser.admin &&
          currentUser.functionalTester &&
          !currentUser.automationProgrammer
        ) {
          <ng-container
            *ngTemplateOutlet="
              workspaceLink;
              context: {
                workspace: 'automation',
                workspacePath:
                  '/automation-workspace/functional-tester-workspace'
              }
            "
          >
          </ng-container>
        }
        @if (
          currentUser.admin ||
          currentUser.projectManager ||
          (currentUser.functionalTester && currentUser.automationProgrammer)
        ) {
          <li
            [attr.data-test-navbar-field-id]="'automation'"
            [ngClass]="getClasses('automation')"
            nz-submenu
            nz-tooltip
            nzTooltipPlacement="right"
          >
            <span title class="nav-bar-title">
              <i
                nz-icon
                nzTheme="fill"
                nzType="sqtm-core-nav:automation-workspace"
                class="font-20-px"
              >
              </i>
              <span>{{ getWorkspaceName('automation') }}</span>
            </span>
            <ul [attr.data-test-menu-id]="'automation-menu'">
              <li class="ant-menu-item font-14-px">
                <a
                  class="nav-bar-link"
                  [sqtmCorePlatformLink]="[
                    '/automation-workspace/automation-programmer-workspace'
                  ]"
                  [attr.data-test-menu-item-id]="'programmer'"
                >
                  {{
                    'sqtm-core.nav-bar.automation.programmer.label' | translate
                  }}
                </a>
              </li>
              <li class="ant-menu-item font-14-px">
                <a
                  class="nav-bar-link"
                  [sqtmCorePlatformLink]="[
                    '/automation-workspace/functional-tester-workspace'
                  ]"
                  [attr.data-test-menu-item-id]="'tester'"
                >
                  {{ 'sqtm-core.nav-bar.automation.tester.label' | translate }}
                </a>
              </li>
            </ul>
          </li>
        }
        @if (canNavigate(currentUser)) {
          @if (isUltimateLicenseAvailable$ | async) {
            <ng-container
              *ngTemplateOutlet="
                workspaceLink;
                context: {
                  workspace: 'action-word',
                  workspacePath: '/action-word-workspace'
                }
              "
            >
            </ng-container>
          } @else {
            <li
              nz-menu-item
              [ngClass]="getClasses('action-word')"
              nz-tooltip
              nzTooltipPlacement="right"
              [nzTooltipTitle]="
                navBarState.collapsed ? getWorkspaceTitle('action-word') : ''
              "
              (click)="showAdvertisingDialog()"
              [attr.data-test-element-id]="'fake-action-word'"
              [nzSelected]="
                navBarState.currentWorkspace === 'action-word-workspace'
              "
            >
              <span title class="nav-bar-title">
                <i
                  nz-icon
                  nzTheme="fill"
                  nzType="sqtm-core-nav:nav_premium"
                  class="font-20-px"
                >
                </i>
                <span>{{ getWorkspaceName('action-word') }}</span>
              </span>
            </li>
          }
        }
        <li class="flex-column" style="flex-grow: 1; justify-content: center">
          <div
            title
            (click)="toggleCollapsed()"
            [attr.data-test-element-id]="'sqtm-main-nav-bar-toggle-button'"
          >
            <i
              nz-icon
              [nzType]="navBarState.collapsed ? 'right' : 'left'"
              style="float: right"
              class="sqtm-nav-bar-toggle"
              nz-tooltip="{{
                (navBarState.collapsed
                  ? 'sqtm-core.nav-bar.expand'
                  : 'sqtm-core.nav-bar.collapse'
                )
                  | translate
                  | capitalize
              }}"
              [nzTooltipOverlayStyle]="
                toggleButtonTooltipIsVisible ? {} : { display: 'none' }
              "
              (mouseenter)="toggleButtonTooltipIsVisible = true"
              (mouseleave)="toggleButtonTooltipIsVisible = false"
            ></i>
          </div>
        </li>
        @if (isManagerOrAdmin$ | async) {
          <li
            [attr.data-test-navbar-field-id]="'administration'"
            [ngClass]="getClasses('administration')"
            nz-submenu
            nz-tooltip
            nzTooltipPlacement="right"
          >
            <span title class="nav-bar-title">
              <i
                nz-icon
                nzTheme="fill"
                nzType="sqtm-core-nav:administration-workspace"
                class="font-20-px"
              >
              </i>
              <span>{{ getWorkspaceName('administration') }}</span>
            </span>
            <ul [attr.data-test-menu-id]="'administration-menu'">
              <ng-container
                *ngTemplateOutlet="
                  administrationWorkspaceLink;
                  context: { workspace: 'users', display: currentUser.admin }
                "
              ></ng-container>
              <ng-container
                *ngTemplateOutlet="
                  administrationWorkspaceLink;
                  context: {
                    workspace: 'projects',
                    display: currentUser.admin || currentUser.projectManager
                  }
                "
              ></ng-container>
              <ng-container
                *ngTemplateOutlet="
                  administrationWorkspaceLink;
                  context: {
                    workspace: 'milestones',
                    display: showMilestoneWorkspaceMenuItem$ | async
                  }
                "
              ></ng-container>
              <ng-container
                *ngTemplateOutlet="
                  administrationWorkspaceLink;
                  context: {
                    workspace: 'entities-customization',
                    display: currentUser.admin
                  }
                "
              ></ng-container>
              <ng-container
                *ngTemplateOutlet="
                  administrationWorkspaceLink;
                  context: { workspace: 'servers', display: currentUser.admin }
                "
              ></ng-container>
              <ng-container
                *ngTemplateOutlet="
                  administrationWorkspaceLink;
                  context: {
                    workspace: 'profiles',
                    anchor: 'permissions',
                    display: currentUser.admin || currentUser.clearanceManager
                  }
                "
              ></ng-container>
              <ng-container
                *ngTemplateOutlet="
                  administrationWorkspaceLink;
                  context: {
                    workspace: 'system',
                    display: currentUser.admin || currentUser.projectManager
                  }
                "
              ></ng-container>
              <ng-template
                #administrationWorkspaceLink
                let-workspace="workspace"
                let-anchor="anchor"
                let-display="display"
              >
                @if (display) {
                  <li class="ant-menu-item font-14-px">
                    <a
                      class="nav-bar-link"
                      [sqtmCorePlatformLink]="
                        getWorkspaceLink(currentUser.admin, workspace, anchor)
                      "
                      [attr.data-test-menu-item-id]="workspace"
                    >
                      {{
                        'sqtm-core.nav-bar.administration.' +
                          workspace +
                          '.label' | translate
                      }}
                    </a>
                  </li>
                }
              </ng-template>
            </ul>
          </li>
        }
        @if (canNavigate(currentUser)) {
          @if (bugTracker$ | async; as bugTrackers) {
            @if (bugTrackers.length > 0) {
              <li [attr.data-test-navbar-field-id]="'bugtrackers'" nz-submenu>
                <span title class="nav-bar-title">
                  <i
                    nz-icon
                    nzTheme="fill"
                    nzType="sqtm-core-nav:bugtrackers"
                    class="font-20-px"
                  >
                  </i>
                  <span>{{
                    'sqtm-core.bugtracker-workspace.label.short' | translate
                  }}</span>
                </span>
                <ul
                  [attr.data-test-menu-id]="'bugtrackers-menu'"
                  style="max-height: 500px"
                >
                  @for (bugTracker of bugTrackers; track bugTracker) {
                    <li class="ant-menu-item font-14-px">
                      @if (!bugTracker.iframeFriendly) {
                        <a
                          [attr.data-test-menu-item-id]="bugTracker.name"
                          style="text-decoration: none"
                          [href]="bugTracker.url"
                          target="_blank"
                          >{{ bugTracker.name }}</a
                        >
                      }
                      @if (bugTracker.iframeFriendly) {
                        <a
                          [routerLink]="[
                            '/',
                            'bugtracker-workspace',
                            bugTracker.id
                          ]"
                          style="text-decoration: none"
                          >{{ bugTracker.name }}</a
                        >
                      }
                    </li>
                  }
                </ul>
              </li>
            }
          }
          <li nz-submenu [attr.data-test-navbar-field-id]="'help'">
            <span title class="nav-bar-title">
              <i
                nz-icon
                nzTheme="fill"
                nzType="sqtm-core-generic:help"
                class="font-20-px"
              >
              </i>
              <span>{{ 'sqtm-core.nav-bar.info.help.label' | translate }}</span>
            </span>
            <ul [attr.data-test-menu-id]="'help-menu'">
              <li
                nz-menu-item
                class="ant-menu-item font-14-px"
                [attr.data-test-menu-item-id]="'about'"
                (click)="showAboutDialog()"
              >
                {{ 'sqtm-core.nav-bar.info.about-squash.label' | translate }}
              </li>
              <li nz-menu-item class="ant-menu-item font-14-px">
                <a
                  style="text-decoration: none"
                  [href]="documentationUrl"
                  target="_blank"
                  >{{
                    'sqtm-core.nav-bar.info.documentation.label' | translate
                  }}</a
                >
              </li>
              @if (apiDocumentationLinks$ | async; as docLinks) {
                @if (docLinks.length > 0) {
                  <ul
                    [attr.data-test-menu-id]="'doc-menu'"
                    nz-submenu
                    nzTitle="{{
                      'sqtm-core.nav-bar.info.api-documentation.label'
                        | translate
                    }}"
                  >
                    @for (docLink of docLinks; track docLink) {
                      <li nz-menu-item class="ant-menu-item font-14-px">
                        <a
                          style="text-decoration: none"
                          [href]="
                            buildDocumentationLink(
                              docLink.url,
                              callbackUrl$ | async
                            )
                          "
                          target="_blank"
                        >
                          {{ docLink.label }}
                        </a>
                      </li>
                    }
                  </ul>
                }
              }
              <li nz-menu-item class="ant-menu-item font-14-px">
                <a
                  style="text-decoration: none"
                  href="https://gitlab.com/henixdevelopment/open-source/squash/squashtest-tm-staging/-/issues"
                  target="_blank"
                  >{{
                    'sqtm-core.nav-bar.info.report-a-bug.label' | translate
                  }}</a
                >
              </li>
              <li nz-menu-item class="ant-menu-item font-14-px">
                <a
                  style="text-decoration: none"
                  href="{{ getSquashNewsletterUrl() }}"
                  target="_blank"
                  >{{
                    'sqtm-core.nav-bar.info.newsletter.label' | translate
                  }}</a
                >
              </li>
            </ul>
          </li>
          @if (navBarState.currentWorkspace !== 'administration-workspace') {
            <li>
              <div nz-menu-divider class="sqtm-nav-bar-divider"></div>
            </li>
            @if (milestoneNavBarState$ | async; as milestoneNavBarState) {
              @if (milestoneNavBarState.milestoneFeatureEnabled) {
                <li
                  nz-submenu
                  [attr.data-test-navbar-field-id]="'milestone-filter'"
                >
                  <span title class="nav-bar-title">
                    <i
                      nz-icon
                      class="font-20-px"
                      nzType="sqtm-core-nav:milestone"
                    ></i>
                    <span>{{
                      'sqtm-core.entity.milestone.label.plural' | translate
                    }}</span>
                  </span>
                  <ul [attr.data-test-menu-id]="'milestone-filter-menu'">
                    <li
                      [attr.data-test-menu-item-id]="
                        'referential-milestone-mode'
                      "
                      class="ant-menu-item"
                      (click)="disableMilestoneMode($event)"
                    >
                      <div>
                        <sqtm-core-simple-checkbox
                          [value]="!milestoneNavBarState.milestoneModeEnabled"
                        ></sqtm-core-simple-checkbox>
                        <span class="m-l-10">{{
                          'sqtm-core.nav-bar.milestone.referential' | translate
                        }}</span>
                      </div>
                    </li>
                    <li
                      [attr.data-test-menu-item-id]="
                        'filtered-by-milestone-mode'
                      "
                      class="ant-menu-item"
                      (click)="openMilestoneSelect($event)"
                    >
                      <div>
                        <sqtm-core-simple-checkbox
                          [value]="milestoneNavBarState.milestoneModeEnabled"
                        ></sqtm-core-simple-checkbox>
                        <span class="m-l-10">{{
                          'sqtm-core.nav-bar.milestone.filtered' | translate
                        }}</span>
                      </div>
                    </li>
                  </ul>
                </li>
              }
            }
            <li nz-submenu [attr.data-test-navbar-field-id]="'project-filter'">
              <span title class="nav-bar-title">
                <i
                  nz-icon
                  class="font-20-px"
                  nzType="sqtm-core-nav:project-filter"
                ></i>
                <span>{{ 'sqtm-core.project-filter.label' | translate }}</span>
              </span>
              <ul [attr.data-test-menu-id]="'project-filter-menu'">
                <li
                  [attr.data-test-menu-item-id]="'multi-projects'"
                  class="ant-menu-item"
                  (click)="modifyProjectFilter()"
                >
                  {{ 'sqtm-core.project-filter.multi-project' | translate }}
                </li>
                <li
                  [attr.data-test-menu-item-id]="'all-projects'"
                  class="ant-menu-item"
                  (click)="deactivateProjectFilter()"
                >
                  {{ 'sqtm-core.project-filter.all-projects' | translate }}
                </li>
              </ul>
            </li>
          }
        }
        <li>
          <div nz-menu-divider class="sqtm-nav-bar-divider"></div>
        </li>
        <li
          #avatar
          class="flex full-width"
          [attr.data-test-navbar-field-id]="'user-menu'"
        >
          <nz-avatar
            class="__hover_pointer"
            style="margin: 10px auto"
            [@.disabled]="true"
            [nzText]="getUserText(currentUser)"
            nzSize="large"
            [ngStyle]="getAvatarStyle()"
          ></nz-avatar>
        </li>
        <ng-template
          #workspaceLink
          let-workspace="workspace"
          let-workspacePath="workspacePath"
        >
          <li
            nz-menu-item
            [ngClass]="getClasses(workspace)"
            nz-tooltip
            nzTooltipPlacement="right"
            [attr.data-test-element-id]="workspace + '-link'"
            [nzTooltipTitle]="
              navBarState.collapsed ? getWorkspaceTitle(workspace) : ''
            "
            [nzSelected]="
              navBarState.currentWorkspace === workspace + '-workspace'
            "
          >
            <a
              title
              class="nav-bar-title"
              [sqtmCorePlatformLink]="[workspacePath]"
            >
              <i
                nz-icon
                class="font-20-px"
                [nzType]="'sqtm-core-nav:' + workspace + '-workspace'"
              >
              </i>
              <span>{{ getWorkspaceName(workspace) }}</span>
            </a>
          </li>
        </ng-template>
      </ul>
      <!-- Template for the custom submenu -->
      <ng-template #templatePortalContent>
        <div
          #userMenu
          class="ant-menu ant-menu-dark ant-menu-vertical sqtm-custom-submenu"
        >
          <ul [attr.data-test-menu-id]="'user-menu'" class="ant-menu-submenu">
            <li class="ant-menu-item">
              <a
                class="nav-bar-title"
                [sqtmCorePlatformLink]="['/user-account/content']"
                [attr.data-test-menu-item-id]="'user-account'"
              >
                <i
                  nz-icon
                  nzType="sqtm-core-nav:my_account"
                  class="font-20-px p-r-10"
                ></i>
                {{ 'sqtm-core.user-account-page.label.full' | translate }}
              </a>
            </li>
            <li
              [attr.data-test-menu-item-id]="'logout'"
              class="ant-menu-item"
              [sqtmCorePlatformLink]="['/logout']"
            >
              <span class="nav-bar-title">
                <i
                  nz-icon
                  nzType="sqtm-core-nav:logout"
                  class="font-20-px p-r-10"
                ></i>
                {{ 'sqtm-core.generic.label.logout' | translate }}
              </span>
            </li>
          </ul>
        </div>
      </ng-template>
    </div>
  }
}
